package clarion.acs.net.auxiliary;
import clarion.common.*;

/** This interface is for IRL rule template. If IRL is set, user should
 *  implement this interface to give concrete IRL rules. */
public interface IrlRuleForm {
   /** Fill in the suggestedAction and return the rule support for current input. */
   public double determineAction( short[] state, short[] exState, short[] gsState,
                                  short[] wmState, short[][][] suggestedAction );
   /** process of generalization. */
   public void generalize();
   /** process of specialization. */
   public void specialize();
}