 package clarion.tools;
 import java.awt.*;
 import java.awt.event.*;

 /** This class is used for old simulation of tasks. */

 public class MessageBox extends Dialog implements ActionListener
 {
     private TextArea message;
     private Button   close;
     private boolean  cFlag;
     private CloseWindow cw;


    public class CloseWindow extends WindowAdapter
    {
       private boolean windowStatus = false;

        public void windowClosing( WindowEvent e )
        {
           e.getWindow().setVisible( false );
           windowStatus = true;
        }

        public boolean getWindowStatus()
        {
           return windowStatus;
        }

        public void windowActivated ( WindowEvent e )
        {
        //   e.getWindow().setVisible( true );
             windowStatus = false;
        }
    }

    public MessageBox( Frame parent, String title, String messageString, int width )
    {

       super( parent, title, true );

       setSize( width, 120 );
       //setResizable( false );

       message = new TextArea( messageString, 2, 25, TextArea.SCROLLBARS_NONE );
     //  message = new TextArea( messageString, 2, 15 );

       message.setEditable( false );
       message.setFont( new Font( "Serif", Font.BOLD, 15 ) );
       add( message, BorderLayout.CENTER );

       close = new Button( "Close" );
       close.setFont( new Font( "Serif", Font.BOLD, 18) );
       close.addActionListener( this );
       add( close, BorderLayout.SOUTH );


       cFlag = false;

       cw = new CloseWindow();
       addWindowListener( cw );
     }

     public void actionPerformed( ActionEvent e )
    {
       cFlag = true;
       setVisible( false );
    }

     public boolean confirm()
     {
         boolean b = cFlag;

         if ( cw.getWindowStatus() == true )
              b = true;
         else
         {
             b = cFlag;
             if ( cFlag == true )
                  cFlag = false;
         }

        return b;
     }
  }
