package clarion.nacs;

/**
 * <ul>
 * <li> General overview.
 * This class is to define the constants for NACS control action format.
 * </ul>
 * @author Xi Zhang
 *
 */

 public class ControlActionFormat {

  /** the constants for index on NACS control action dimensions. */
  public static final short ACT_REP = 0, CHOOSE_LEVEL = 1, ENCODE_EXT = 2, ASSIM_EXP = 3,
  INFER_RETR = 4, SET_STRENTH = 5, PARA_IN_IN = 6, PARA_IN_OUT = 7, PARA_OUT_IN = 8,
  PARA_OUT_OUT = 9, PARA_GKS_RSN_MTHD = 10, PARA_GKS_RSN_ITER = 11, PARA_AMN_PASS = 12,
  PARA_AMNS = 13, PARA_CHK_TYPES = 14, PARA_CHK_SET = 15, PARA_STRENGTH = 16,
  PARA_COMB_MODE = 17;
  /** the constants for index on each element in one NACS control aciton dim. */
  public static final short ACT_REP_DO_NOTHING = 0, ACT_REP_ACT_NACS = 1, ACT_REP_REPORT = 2;
  public static final short CHOOSE_LEVEL_GKS = 0, CHOOSE_LEVEL_AMN = 1, CHOOSE_LEVEL_BOTH = 2;
  public static final short ENCODE_EXT_DO_NOTHING = 0, ENCODE_EXT_RULES_SYS = 1, ENCODE_EXT_RULES_USER = 2;
  public static final short ASSIM_EXP_DO_NOTHING = 0, ASSIM_EXP_SYS_ASSIM = 1, ASSIM_EXP_USER_ASSIM = 2;
  public static final short INFER_RETR_DO_NOTHING = 0, INFER_RETR_ONE = 1, INFER_RETR_ALL = 2;
  public static final short SET_STRENTH_DO_NOTHING = 0, SET_STRENTH_SET = 1;
  public static final short GKS_RSN_MTHD_FORWARD = 0, GKS_RSN_MTHD_FORWARD_SBR = 1;
  public static final short CHK_TYPES_ALL = 0, CHK_TYPES_STATE = 1, CHK_TYPES_STATE_NOINPUT = 2,
                            CHK_TYPES_ACTION = 3, CHK_TYPES_ACTION_NOTINPUT = 4;
  public static final short COMB_DO_NOTHING = 0, COMB_DEFAULT = 1, COMB_USER_BUR = 2, COMB_USER_TDG = 3;
 }